/**
 * 获取 vue-lazyload 插件参数
 * @param options 选项
 * @returns 插件参数
 * @example
 * ```ts
 * import Vue from 'vue';
 * import VueLazyload from 'vue-lazyload';
 * import { getVLazyOptions } from 't-comm';
 *
 * Vue.use(VueLazyload, getVLazyOptions({
 *   loadingImg: '/loading.png',
 *   errorImg: '/error.png',
 * }));
 * ```
 */
export declare function getVLazyOptions(options?: {
    loadingImg?: string;
    errorImg?: string;
}): {
    preLoad: number;
    attempt: number;
    filter: {
        loading(listener: any): void;
        error(listener: any): void;
        https(listener: any): void;
        compress(listener: any): void;
        cdn(listener: any): void;
        stopBeforeLoad(listener: any): void;
    };
    adapter: {
        error(listener: any): void;
    };
};
